{
  lib,
  stdenvNoCC,
  fetchzip,
}:
stdenvNoCC.mkDerivation {
  pname = "interalia";
  version = "0.001";

  src = fetchzip {
    url = "https://github.com/Shavian-info/interalia/releases/download/v.0.0001-interalia-alpha/InterAlia-0.001-text-37ab20767a.zip";
    stripRoot = false;
    hash = "sha256-qSILVWUrWEDjXdLkMUzUvbt27csDvODnWfdOKk2faPk=";
  };

  installPhase = ''
    runHook preInstall

    mkdir -p $out/share/fonts/{truetype,opentype}
    cp "Inter Alia Desktop/"*.otf $out/share/fonts/opentype
    cp "Inter Alia Variable/"*.ttf $out/share/fonts/truetype

    runHook postInstall
  '';

  meta = with lib; {
    homepage = "https://github.com/Shavian-info/interalia";
    description = "Inter Alia is an expanded version of the Inter font family";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
